petsc-3.4.2 2013-07-02

# SNESSetLineSearch

Sets the linesearch on the SNES instance.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetLineSearch(SNES snes, SNESLineSearch linesearch)

Collective on SNES

### Input Parameters

| snes | - iterative context obtained from SNESCreate()
| linesearch | - the linesearch object

### Notes

Use SNESGetLineSearch() to retrieve the preconditioner context (for example, to configure it using the API).

### Keywords

SNES, set, linesearch

### See Also

SNESGetLineSearch()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages